### Enumeration

# Gtk EventControllerScrollFlags

#### Declaration

    flags Gtk.EventControllerScrollFlags

#### Description [src]

Describes the behavior of a `GtkEventControllerScroll`.

#### Members

`GTK_EVENT_CONTROLLER_SCROLL_NONE`

  Don’t emit scroll.

  - Value: `0`
  - Available since: 4.0
`GTK_EVENT_CONTROLLER_SCROLL_VERTICAL`

  Emit scroll with vertical deltas.

  - Value: `1`
  - Available since: 4.0
`GTK_EVENT_CONTROLLER_SCROLL_HORIZONTAL`

  Emit scroll with horizontal deltas.

  - Value: `2`
  - Available since: 4.0
`GTK_EVENT_CONTROLLER_SCROLL_DISCRETE`

  Only emit deltas that are multiples of 1.

  - Value: `4`
  - Available since: 4.0
`GTK_EVENT_CONTROLLER_SCROLL_KINETIC`

  Emit ::decelerate after continuous scroll finishes.

  - Value: `8`
  - Available since: 4.0
`GTK_EVENT_CONTROLLER_SCROLL_PHYSICAL_DIRECTION`

  A `GtkEventControllerScrollFlags` value to prefer physical direction over logical direction (i.e. oblivious to natural scroll).

  - Value: `16`
  - Available since: 4.20
`GTK_EVENT_CONTROLLER_SCROLL_BOTH_AXES`

  Emit scroll on both axes.

  - Value: `3`
  - Available since: 4.0